#!/bin/bash
#AX25 Startscript

#uncomment the following line to show what the script do
#set -x

#use this linux internal virtual serial connection
PTTY="/dev/ptypb"

#set your ax25-IP her
IP="44.7.7.7"

echo "stop all as296 processes"
ps xau|awk '/as296-t.*-m/{if ($0 ~ /awk/) next; system("kill "$2)}'
killall kissattach
sleep 3

echo "load ax25 kernel driver modules"
modprobe ax25
modprobe mkiss

#               9600bd_FSK, 220 ms txdelay, persistence 64, slottime 100ms, DAMA=on, no debug output
./usb-as296-to-tty-d -m 9600 -t 270 -p 255 -s 100 -D 1 -d 0 -y ${PTTY} &
#/xnet/start.sh

echo "attach pseudotty to ax25-kernel"
kissattach `echo ${PTTY}|awk '{gsub("\\\/pt","/tt",$0);print($0)}'` ax0 ${IP}

#set Protokoll DAMA-Slave (for DAMA Digis)
echo "2" >/proc/sys/net/ax25/ax0/protocol
echo "3600" >/proc/sys/net/ax25/ax0/dama_slave_timeout

#linear T1
echo "0" >/proc/sys/net/ax25/ax0/backoff_type
echo "900" >/proc/sys/net/ax25/ax0/t1_timeout
echo "1" >/proc/sys/net/ax25/ax0/t2_timeout
echo "40000" >/proc/sys/net/ax25/ax0/t3_timeout

echo "31" >/proc/sys/net/ax25/ax0/maximum_retry_count
#echo "20" >/proc/sys/net/ax25/ax0/maximum_packet_length

#compatibility warnings please read the "PROBLEM.txt"
cat /proc/sys/net/ax25/ax0/protocol|awk '/0/{print("Warning: Your Linuxkernel has not compiled in DAMA-Support - please recompile your Kernel with Option \"DAMA-Slave\"")}'

